Changeset 154237


Ignore:
Timestamp:
Oct 25, 2016, 7:47:20 AM (4 years ago)
Author:
devans@…
Message:

ffmpeg-devel: update to upstream git master as 20161024

  • libsdl outdev dropped, replaced by libsdl2
  • update dependencies
  • to match libsdl2, +x11 is no longer a default variant
File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/multimedia/ffmpeg-devel/Portfile

    r153509 r154237  
    99PortGroup           github 1.0
    1010
    11 github.setup        FFmpeg FFmpeg b7bd5b9794223f12203142159a22b176da2378e8
     11github.setup        FFmpeg FFmpeg 85d23e5cbc9ad6835eef870a5b4247de78febe56
    1212name                ffmpeg-devel
    1313conflicts           ffmpeg
    14 version             20161002
     14version             20161024
    1515license             LGPL-2.1+
    1616categories          multimedia
     
    5151homepage            http://www.ffmpeg.org/
    5252
    53 checksums           rmd160  ae4d5ef5e8ed253497dee95878d57068faa5e361 \
    54                     sha256  404702532d7cb2be0d857cd360cb65654052adf71cf98ad44fce18bdade5cbdd
     53checksums           rmd160  4f82065f34a43fb381e6fa2d0b3523c00b23867e \
     54                    sha256  98bd06d24ae17e567ef37633aaec2147bcef90e05b355b9b1e29ff90dc784e5f
    5555
    5656depends_build       port:pkgconfig \
     
    7979                    port:fribidi \
    8080                    path:lib/libspeex.dylib:speex \
    81                     port:libsdl \
     81                    port:libsdl2 \
    8282                    port:soxr \
    8383                    port:bzip2 \
     
    254254}
    255255
    256 default_variants +x11
    257 
    258256if {[variant_isset x11]} {
    259     require_active_variants libsdl x11
     257    require_active_variants libsdl2 x11
    260258} else {
    261     require_active_variants libsdl "" x11
     259    require_active_variants libsdl2 "" x11
    262260}
    263261
     
    330328    configure.args-append   --enable-nonfree \
    331329                            --enable-libfdk-aac
    332     depends_lib-append      port:libfdk-aac \
    333                             port:faac
     330    depends_lib-append      port:libfdk-aac
    334331    license                 Restrictive
    335332}
Note: See TracChangeset for help on using the changeset viewer.